suix_getCommitteeInfo - Sui
Example code for the suix_getCommitteeInfo JSON-RPC method. Complete guide on how to use suix_getCommitteeInfo JSON-RPC in GetBlock Web3 documentation.
Parameters
Parameter
Type
Required
Description
Request Example
curl -X POST https://go.getblock.io/<ACCESS-TOKEN>/ \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": "getblock.io",
"method": "suix_getCommitteeInfo",
"params": ["5000"]
}'const axios = require('axios');
const payload = {
jsonrpc: '2.0',
id: 'getblock.io',
method: 'suix_getCommitteeInfo',
params: ['5000']
};
axios.post('https://go.getblock.io/<ACCESS-TOKEN>/', payload)
.then(response => console.log(response.data));import requests
payload = {
"jsonrpc": "2.0",
"id": "getblock.io",
"method": "suix_getCommitteeInfo",
"params": ["5000"]
}
response = requests.post("https://go.getblock.io/<ACCESS-TOKEN>/", json=payload)
print(response.json())Response Example
{
"jsonrpc": "2.0",
"result": {
"epoch": "5000",
"validators": [
["jc/20VUECmVvSBmxMRG1LFdGqGunLzlfuSOYGNLSNKY=", "2500000000000000"],
["DgDsdbrNH0oq6JHFXVBXHZFQ1XtSNc6bx8v2T8PvhAM=", "1800000000000000"]
]
},
"id": "getblock.io"
}Response Parameters
Parameter
Type
Description
Use Cases
Error Handling
Error Code
Description
SDK Integration
Last updated
Was this helpful?